OSDN Git Service

Some minor PHP 5.3 compatibility fixes
[nucleus-jp/nucleus-jp-ancient.git] / utf8 / nucleus / plugins / NP_SecurityEnforcer.php
index 76f1113..46d079d 100644 (file)
@@ -75,7 +75,8 @@ class NP_SecurityEnforcer extends NucleusPlugin {
     
     function init() {
         // include language file for this plugin
-        $language = ereg_replace( '[\\|/]', '', getLanguageName());
+//        $language = ereg_replace( '[\\|/]', '', getLanguageName());
+        $language = preg_replace( '@\\|/@', '', getLanguageName());
         if (file_exists($this->getDirectory().$language.'.php'))
             include_once($this->getDirectory().$language.'.php');
         else